#ifndef BISON_QC_PARSE_H
# define BISON_QC_PARSE_H

#ifndef YYSTYPE
typedef union {
	int			op;
	struct def_s *def;
	struct hashtab_s	*def_list;
	type_t		*type;
	expr_t		*expr;
	int			integer_val;
	float		float_val;
	const char *string_val;
	float		vector_val[3];
	float		quaternion_val[4];
	struct function_s *function;
	struct switch_block_s	*switch_block;
	struct param_s	*param;
	struct method_s	*method;
	struct class_s	*class;
	struct protocol_s *protocol;
	struct keywordarg_s *keywordarg;
	struct methodlist_s *methodlist;
} yystype;
# define YYSTYPE yystype
# define YYSTYPE_IS_TRIVIAL 1
#endif
# define	ASX	257
# define	PAS	258
# define	OR	259
# define	AND	260
# define	EQ	261
# define	NE	262
# define	LE	263
# define	GE	264
# define	LT	265
# define	GT	266
# define	SHL	267
# define	SHR	268
# define	UNARY	269
# define	INCOP	270
# define	CLASS_NAME	271
# define	NAME	272
# define	STRING_VAL	273
# define	INT_VAL	274
# define	FLOAT_VAL	275
# define	VECTOR_VAL	276
# define	QUATERNION_VAL	277
# define	LOCAL	278
# define	RETURN	279
# define	WHILE	280
# define	DO	281
# define	IF	282
# define	ELSE	283
# define	FOR	284
# define	BREAK	285
# define	CONTINUE	286
# define	ELLIPSIS	287
# define	NIL	288
# define	IFBE	289
# define	IFB	290
# define	IFAE	291
# define	IFA	292
# define	SWITCH	293
# define	CASE	294
# define	DEFAULT	295
# define	STRUCT	296
# define	UNION	297
# define	ENUM	298
# define	TYPEDEF	299
# define	SUPER	300
# define	SELF	301
# define	THIS	302
# define	ARGC	303
# define	ARGV	304
# define	EXTERN	305
# define	STATIC	306
# define	SYSTEM	307
# define	SIZEOF	308
# define	ELE_START	309
# define	TYPE	310
# define	CLASS	311
# define	DEFS	312
# define	ENCODE	313
# define	END	314
# define	IMPLEMENTATION	315
# define	INTERFACE	316
# define	PRIVATE	317
# define	PROTECTED	318
# define	PROTOCOL	319
# define	PUBLIC	320
# define	SELECTOR	321


extern YYSTYPE yylval;

#endif /* not BISON_QC_PARSE_H */
